#property indicator_chart_window

extern string TrendLineName = "enter trend line exact name";

int init()   { return(0); }
int deinit() { return(0); }
void start(void)
{    
   string symbol  = _Symbol;
   long   skip    = ChartID();
   long   current = ChartFirst();
   
   //
   //
   //
   //
   //
   
   if (ObjectFind(TrendLineName)<0)                      return;
         double   price1 = ObjectGet(TrendLineName,OBJPROP_PRICE1);
         double   price2 = ObjectGet(TrendLineName,OBJPROP_PRICE2);
         datetime time1  = ObjectGet(TrendLineName,OBJPROP_TIME1);
         datetime time2  = ObjectGet(TrendLineName,OBJPROP_TIME2);
         color    lcolor = ObjectGet(TrendLineName,OBJPROP_COLOR);
         int      lwidth = ObjectGet(TrendLineName,OBJPROP_WIDTH);
         int      lstyle = ObjectGet(TrendLineName,OBJPROP_STYLE);
         int      lback  = ObjectGet(TrendLineName,OBJPROP_BACK);
         int      lray   = ObjectGet(TrendLineName,OBJPROP_RAY);
      
         while (true)
         {
            if (current!=skip && ChartSymbol(current)==symbol)
            {
               ObjectDelete(current,TrendLineName);
               ObjectCreate(current,TrendLineName,OBJ_TREND,0,time1,price1,time2,price2);
                  ObjectSetInteger(current,TrendLineName,OBJPROP_COLOR ,lcolor);
                  ObjectSetInteger(current,TrendLineName,OBJPROP_WIDTH ,lwidth);
                  ObjectSetInteger(current,TrendLineName,OBJPROP_STYLE ,lstyle);
                  ObjectSetInteger(current,TrendLineName,OBJPROP_BACK  ,lback);
                  ObjectSetInteger(current,TrendLineName,OBJPROP_RAY   ,lray);
      }            
      current = ChartNext(current); if (current==-1) break;
   }      
   return;
}